Last updated: October 24, 2026
Authorization code token
Exchange the authorization code for tokens.
Request
POST
https://test.miniorange.in/moas/rest/oauth/tokenAuthentication headers (required on every request)
- Customer-Key
- Integer — your account customer key
- Timestamp
- Milliseconds since epoch (e.g. Date.now())
- Authorization
- SHA-512 of customerKey + timestamp + apiKey
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| grant_type | String | Required | authorization_code |
| code | String | Required | Code from the authorize response |
| redirect_uri | String | Required | Same callback URL |
| client_id | String | Required | OAuth client ID |
| client_secret | String | Required | OAuth client secret |
Response
{
"access_token": "2f6fyjXdQRgVU9w",
"refresh_token": "def50200",
"id_token": "eyJhbGciOiJSUzI1NiJ9",
"token_type": "bearer",
"expires_in": 3600
}